Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.jca
Class EndpointFactory

    java.lang.Object
      org.jboss.soa.esb.listeners.jca.EndpointFactory

All Implemented Interfaces:
  javax.resource.spi.endpoint.MessageEndpointFactory

    public class EndpointFactory

extends java.lang.Object
implements javax.resource.spi.endpoint.MessageEndpointFactory

comment

Version:
  $Revision: 1.1 $
Author:
  Bill Burke

Constructor Summary
`EndpointFactory()`

Method Summary
`javax.resource.spi.endpoint.MessageEndpoint` | `createEndpoint(javax.transaction.xa.XAResource xaResource)`
`EndpointContainer` | `getContainer()`
`boolean` | `isDeliveryTransacted(java.lang.reflect.Method method)`
`void` | `setContainer(EndpointContainer container)`
`void` | `setLoader(java.lang.ClassLoader loader)`
`void` | `setMessagingType(java.lang.Class messagingType)`
`void` | `start()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EndpointFactory

    public EndpointFactory()

Method Detail

### getContainer

    public EndpointContainer getContainer()

### setContainer

    public void setContainer(EndpointContainer container)

### setMessagingType

    public void setMessagingType(java.lang.Class messagingType)

### setLoader

    public void setLoader(java.lang.ClassLoader loader)

### start

    public void start()

### createEndpoint

    public javax.resource.spi.endpoint.MessageEndpoint createEndpoint(javax.transaction.xa.XAResource xaResource)
                                                               throws javax.resource.spi.UnavailableException

  Specified by:
    `createEndpoint` in interface `javax.resource.spi.endpoint.MessageEndpointFactory`
  Throws:
    `javax.resource.spi.UnavailableException`

### isDeliveryTransacted

    public boolean isDeliveryTransacted(java.lang.reflect.Method method)
                                 throws java.lang.NoSuchMethodException

  Specified by:
    `isDeliveryTransacted` in interface `javax.resource.spi.endpoint.MessageEndpointFactory`
  Throws:
    `java.lang.NoSuchMethodException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD